#
# $Id: GNUmakefile.in,v 1.5 2005/01/14 22:39:38 will_mason Exp $
#

# ObjectiveLib - a library of containers and algorithms for Objective-C
#
# Copyright (c) 2004
# Will Mason
#
# Portions:
#
# Copyright (c) 1994
# Hewlett-Packard Company
#
# Copyright (c) 1996,1997
# Silicon Graphics Computer Systems, Inc.
#
# Copyright (c) 1997
# Moscow Center for SPARC Technology
#
# Copyright (c) 1999 
# Boris Fomitchev
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# You may contact the author at will_mason@users.sourceforge.net.

ifeq (@BUILD_COCOA@,yes)

XCODE_PATH := @XCODE_PATH@

.PHONY: testapp

testapp:
	$(XCODE_PATH) -buildstyle Deployment build BUILD_DIR=../build OBJROOT=../build FRAMEWORK_SEARCH_PATHS=../build

else

include $(GNUSTEP_MAKEFILES)/common.make

OBJC_PROGRAM_NAME := TestObjectiveLib
TestObjectiveLib_OBJC_FILES := $(wildcard *.m)
TestObjectiveLib_OBJC_LIBS := -lgnustep-base -lObjectiveLib

-include GNUmakefile.preamble
include $(GNUSTEP_MAKEFILES)/objc.make
-include GNUmakefile.postamble

endif
